# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface Class Reference

`#include <PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface.hxx>`

Inheritance diagram for PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface:

[legend]

## Public Member Functions

Standard_EXPORT | PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface ()
Standard_EXPORT | PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface (const Handle(PGeom_Surface)&aValue)
Standard_EXPORT void | SetValue (const Handle(PGeom_Surface)&aValue)
Standard_EXPORT Standard_Address | Value () const
| PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface (const Storage_stCONSTclCOM &a)
| Handle (PGeom_Surface) _CSFDB_GetPColPGeom_VArrayNodeOfFieldOfHArray2OfSurfacemyValue() const
void | _CSFDB_SetPColPGeom_VArrayNodeOfFieldOfHArray2OfSurfacemyValue (const Handle(PGeom_Surface)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PGeom_Surface | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface::PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface | ( |  | ) |

Standard_EXPORT PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface::PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface | ( | const Handle(PGeom_Surface)& | aValue | ) |

PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface::PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface::_CSFDB_SetPColPGeom_VArrayNodeOfFieldOfHArray2OfSurfacemyValue | ( | const Handle(PGeom_Surface)& | p | ) | `[inline]`

Standard_EXPORT const PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface::Handle | ( | PGeom_Surface |  | ) | const`[inline]`

Standard_EXPORT void PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface::SetValue | ( | const Handle(PGeom_Surface)& | aValue | ) |

Standard_EXPORT Standard_Address PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom_Surface PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface::myValue `[private]`

The documentation for this class was generated from the following file:

- PColPGeom_VArrayNodeOfFieldOfHArray2OfSurface.hxx